# 構成
# config: ルートとなる要素
#   <ステートマシン名>: ステートマシン定義名
#     <環境名>: stagingかproductのみ
#       <ステートマシンの雛形内のプレースホルダー名>：置き換え後の値を設定する
resource:
  # 共通定義
  common:
    # AWSアカウントID
    - &AWS_ACCOUNT_ID "826466435614"
    # 東京リージョン
    - &REGION_AP_NORTHEAST_1 "ap-northeast-1"
  # ステージング環境
  staging:
    # サブネット(PrivateSubnet1)
    - &STG_SUBNET_PRI_1A "subnet-0a47b12f6899ab19e"
    # サブネット(PrivateSubnet2)
    - &STG_SUBNET_PRI_1D "subnet-0ecb92c12eb49ebc3"
    # セキュリティグループ(ecs-all)
    - &STG_SG_ECS_ALL "sg-051e0fb9925539592"
    # セキュリティグループ(ecs-crm-datafetch)
    - &STG_SG_CRM_DATAFETCH "sg-0b20b7bb1cb1ab886"
    # セキュリティグループ(ecs-jskult-batch-daily)
    - &STG_SG_JSKULT_BATCH_DAILY "sg-020b3f6a5a6d6a3a0"
    # セキュリティグループ(ecs-jskult-dbdump)
    - &STG_SG_JSKULT_DBDUMP "sg-0967779af13538a8e"
    # セキュリティグループ(ecs-jskult-batch-laundering)
    - &STG_SG_JSKULT_BATCH_LAUNDERING "sg-00b9ea30c5c6bb77a"
    # セキュリティグループ(ecs-export-dbdump)
    - &STG_SG_EXPORT_DBDUMP "sg-03962e5f52b380186"
    # セキュリティグループ(ecs-jskult-transfer-receive-file)
    - &STG_SG_JSKULT_TRANSFER_RECEIVE_FILE "sg-08d43e8e118178d39"
  # 本番環境
  product:
    # サブネット(PrivateSubnet1)
    - &PRD_SUBNET_PRI_1A "subnet-0d9bf8cd421cf2489"
    # サブネット(PrivateSubnet2)
    - &PRD_SUBNET_PRI_1D "subnet-0595f52cf6fd9b9e7"
    # セキュリティグループ(ecs-all)
    - &PRD_SG_ECS_ALL "sg-05df4823fc789b0fa"
    # セキュリティグループ(ecs-crm-datafetch)
    - &PRD_SG_CRM_DATAFETCH "sg-04de7fc3357d852af"
    # セキュリティグループ(ecs-jskult-batch-daily)
    - &PRD_SG_JSKULT_BATCH_DAILY "sg-0276dc8acc80288cc"
    # セキュリティグループ(ecs-jskult-dbdump)
    - &PRD_SG_JSKULT_DBDUMP "sg-050ab3bc0d9ed261a"
    # セキュリティグループ(ecs-jskult-batch-laundering)
    - &PRD_SG_JSKULT_BATCH_LAUNDERING "sg-0d2bc30c1a2939c32"
    # セキュリティグループ(ecs-export-dbdump)
    - &PRD_SG_EXPORT_DBDUMP "sg-07ce73feffb53fadc"
    # セキュリティグループ(ecs-jskult-transfer-receive-file)
    # TODO: 本番リリース時にIDを正式版にする
    - &PRD_SG_JSKULT_TRANSFER_RECEIVE_FILE: "sg-xxxxxxxxxxxxxxx"
config:
  # CRMデータ取得
  r-crm-datafetch-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-crm-datafetch)
      SG_CRM_DATAFETCH: *STG_SG_CRM_DATAFETCH
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-crm-datafetch)
      SG_CRM_DATAFETCH: *PRD_SG_CRM_DATAFETCH
  # データ登録処理
  r-data-import-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
  # 実消化&アルトマーク 日次バッチ
  r-jskult-batch-daily-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-batch-daily)
      SG_JSKULT_BATCH_DAILY: *STG_SG_JSKULT_BATCH_DAILY
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-batch-daily)
      SG_JSKULT_BATCH_DAILY: *PRD_SG_JSKULT_BATCH_DAILY
  # 実消化&アルトマーク 日次dump取得
  r-jskult-dbdump-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-dbdump)
      SG_JSKULT_DBDUMP: *STG_SG_JSKULT_DBDUMP
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-dbdump)
      SG_JSKULT_DBDUMP: *PRD_SG_JSKULT_DBDUMP
  # 実消化&アルトマーク 実績洗替バッチ
  r-jskult-batch-laundering-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-batch-laundering)
      SG_JSKULT_BATCH_LAUNDERING: *STG_SG_JSKULT_BATCH_LAUNDERING
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-jskut-batch-laundering)
      SG_JSKULT_BATCH_LAUNDERING: *PRD_SG_JSKULT_BATCH_LAUNDERING
  # DBダンプ取得
  r-export-dbdump-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-export-dbdump)
      SG_EXPORT_DBDUMP: *STG_SG_EXPORT_DBDUMP
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-export-dbdump)
      SG_EXPORT_DBDUMP: *PRD_SG_EXPORT_DBDUMP
  # 実消化&アルトマーク データ転送
  r-jskult-transfer-receive-file-state:
    # ステージング環境
    staging:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *STG_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *STG_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *STG_SG_ECS_ALL
      # セキュリティグループ(ecs-jskult-transfer-receive-file)
      SG_JSKULT_TRANSFER_RECEIVE_FILE: *STG_SG_JSKULT_TRANSFER_RECEIVE_FILE
    # 本番環境
    product:
      # AWSアカウントID
      AWS_ACCOUNT_ID: *AWS_ACCOUNT_ID
      # 東京リージョン
      REGION_AP_NORTHEAST_1: *REGION_AP_NORTHEAST_1
      # サブネット(PrivateSubnet1)
      SUBNET_PRI_1A: *PRD_SUBNET_PRI_1A
      # サブネット(PrivateSubnet2)
      SUBNET_PRI_1D: *PRD_SUBNET_PRI_1D
      # セキュリティグループ(ecs-all)
      SG_ECS_ALL: *PRD_SG_ECS_ALL
      # セキュリティグループ(ecs-jskult-transfer-receive-file)
      SG_JSKULT_TRANSFER_RECEIVE_FILE: *PRD_SG_JSKULT_TRANSFER_RECEIVE_FILE
